<?php
// Définition de la base de données
// À utiliser en tant qu'utilisateur root
// Champs à remplacer : $base, $mdp, $serveur,
// $login, $nom, $prenom, $mail, $titre, $cle_matiere, $nom_matiere
//
// Ces définitions sont utilisables en php directement ou en shell linux par
// sed '1,/[ ]FIN/d ; N;$!P;$!D;$d' def_sql.php | sed "s/\\\$base/$BASE/g;s/\\\$serveur/$SERVEUR/g;..."

$requete = <<< FIN

DROP DATABASE IF EXISTS `$base`;
CREATE DATABASE `$base` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
DELETE FROM mysql.user WHERE User = '$base' OR User = '$base-adm';
INSERT INTO mysql.user (Host, User, Password) 
  VALUES ('$serveur', '$base', PASSWORD('$mdp')),
         ('$serveur', '$base-adm', PASSWORD('$mdp'));
DELETE FROM mysql.db WHERE Db = '$base';
INSERT INTO mysql.db (Host, Db, User, Select_priv, Insert_priv, Update_priv, Delete_priv, Alter_priv, Drop_priv) 
  VALUES ('$serveur', '$base', '$base', 'Y', 'N', 'N', 'N', 'N', 'N'),
         ('$serveur', '$base','$base-adm', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y');
FLUSH PRIVILEGES;
USE `$base`;

CREATE TABLE `prefs` (
  `nom` varchar(50) NOT NULL,
  `val` tinyint(2) unsigned NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `matieres` (
  `id` tinyint(2) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `ordre` tinyint(2) unsigned NOT NULL,
  `cle` varchar(50) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `colles` tinyint(1) unsigned NOT NULL,
  `cdt` tinyint(1) unsigned NOT NULL,
  `docs` tinyint(1) unsigned NOT NULL,
  `notes` tinyint(1) unsigned NOT NULL,
  `colles_protection` tinyint(1) unsigned NOT NULL,
  `cdt_protection` tinyint(1) unsigned NOT NULL,
  KEY `colles` (`colles`),
  KEY `cdt` (`cdt`),
  KEY `docs` (`docs`),
  KEY `notes` (`notes`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `utilisateurs` (
  `id` tinyint(2) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `login` varchar(50) NOT NULL UNIQUE,
  `nom` varchar(50) NOT NULL,
  `prenom` varchar(50) NOT NULL,
  `mail` varchar(50) NOT NULL,
  `autorisation` tinyint(1) UNSIGNED NOT NULL,
  `mdp` char(41) NOT NULL,
  `matieres` varchar(30) NOT NULL,
  `timeout` smallint(4) UNSIGNED NOT NULL,
  `mailexp` varchar(50) NOT NULL,
  `mailcopy` tinyint(1) UNSIGNED NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
  
CREATE TABLE `pages` (
  `id` tinyint(2) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `ordre` tinyint(2) unsigned NOT NULL,
  `cle` varchar(50) NOT NULL,
  `mat` tinyint(2) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `titre` text NOT NULL,
  `bandeau` text NOT NULL,
  `protection` tinyint(1) unsigned NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `infos` (
  `id` smallint(4) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `ordre` tinyint(2) unsigned NOT NULL,
  `page` tinyint(2) unsigned NOT NULL,
  `cache` tinyint(1) unsigned NOT NULL,
  `titre` text NOT NULL,
  `texte` text NOT NULL,
  KEY `ordre` (`ordre`,`page`),
  KEY `cache` (`cache`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `semaines` (
  `id` tinyint(2) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `debut` date NOT NULL,
  `colle` tinyint(1) unsigned NOT NULL,
  `vacances` tinyint(1) unsigned NOT NULL,
  KEY `debut` (`debut`),
  KEY `colle` (`colle`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `colles` (
  `id` tinyint(3) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `semaine` tinyint(2) unsigned NOT NULL,
  `matiere` tinyint(2) unsigned NOT NULL,
  `texte` text NOT NULL,
  `cache` tinyint(1) NOT NULL,
  KEY `semaine` (`semaine`),
  KEY `matiere` (`matiere`),
  KEY `cache` (`cache`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `cdt` (
  `id` smallint(3) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `matiere` tinyint(2) unsigned NOT NULL,
  `semaine` tinyint(2) unsigned NOT NULL,
  `jour` date NOT NULL,
  `h_debut` time NOT NULL,
  `h_fin` time NOT NULL,
  `pour` date NOT NULL,
  `type` tinyint(2) unsigned NOT NULL,
  `texte` text NOT NULL,
  `demigroupe` tinyint(1) unsigned NOT NULL,
  `cache` tinyint(1) unsigned NOT NULL,
  KEY `matiere` (`matiere`),
  KEY `semaine` (`semaine`),
  KEY `type` (`type`),
  KEY `cache` (`cache`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `cdt-types` (
  `id` tinyint(2) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `matiere` tinyint(2) unsigned NOT NULL,
  `ordre` tinyint(2) unsigned NOT NULL,
  `titre` varchar(50) NOT NULL,
  `cle` varchar(20) NOT NULL,
  `deb_fin_pour` tinyint(1) unsigned NOT NULL,
  `nb` tinyint(2) unsigned NOT NULL,
  `nb_v` tinyint(2) unsigned NOT NULL,
  KEY `matiere` (`matiere`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `cdt-seances` (
  `id` tinyint(2) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `matiere` tinyint(2) unsigned NOT NULL,
  `ordre` tinyint(2) unsigned NOT NULL,
  `nom` varchar(40) NOT NULL,
  `jour` tinyint(1) unsigned NOT NULL,
  `h_debut` time NOT NULL,
  `h_fin` time NOT NULL,
  `type` tinyint(3) unsigned NOT NULL,
  `demigroupe` tinyint(1) unsigned NOT NULL,
  KEY `matiere` (`matiere`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `reps` (
  `id` tinyint(3) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `parent` tinyint(3) unsigned NOT NULL,
  `parents` varchar(50) NOT NULL,
  `matiere` tinyint(2) unsigned NOT NULL,
  `nom` varchar(100) NOT NULL,
  `nbrep` tinyint(2) unsigned NOT NULL,
  `nbrep_v` tinyint(2) unsigned NOT NULL,
  `nbdoc` tinyint(2) unsigned NOT NULL,
  `nbdoc_v` tinyint(2) unsigned NOT NULL,
  `protection` tinyint(1) unsigned NOT NULL,
  `menu` tinyint(1) unsigned NOT NULL,
  KEY `parent` (`parent`),
  KEY `matiere` (`matiere`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `docs` (
  `id` smallint(3) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `parent` tinyint(3) unsigned NOT NULL,
  `parents` varchar(50) NOT NULL,
  `matiere` tinyint(2) unsigned NOT NULL,
  `nom` varchar(100) NOT NULL,
  `nom_nat` VARCHAR(100) NOT NULL,
  `upload` date NOT NULL,
  `taille` varchar(12) NOT NULL,
  `lien` char(15) NOT NULL,
  `ext` varchar(5) NOT NULL,
  `protection` tinyint(1) unsigned NOT NULL,
  KEY `parent` (`parent`),
  KEY `matiere` (`matiere`),
  KEY `nom_nat` (`nom_nat`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `recents` (
  `id` smallint(5) unsigned NOT NULL PRIMARY KEY,
  `heure` datetime NOT NULL,
  `titre` varchar(200) NOT NULL,
  `lien` varchar(30) NOT NULL,
  `texte` text NOT NULL,
  `protection` tinyint(1) unsigned NOT NULL,
  `matiere` tinyint(2) unsigned NOT NULL,
  KEY `heure` (`heure`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE notes (
  `id` smallint(5) UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `semaine` tinyint(2) unsigned NOT NULL,
  `eleve` tinyint(2) unsigned NOT NULL,
  `colleur` tinyint(2) unsigned NOT NULL,
  `matiere` tinyint(2) unsigned NOT NULL,
  `note` varchar(4) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE groupes (
  `id` tinyint(2) UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `nom` varchar(10) NOT NULL,
  `nom_nat` varchar(30) NOT NULL,
  `mailnotes` tinyint(1) UNSIGNED NOT NULL,
  `eleves` varchar(250) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `agenda` (
  `id` smallint(3) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `matiere` tinyint(2) unsigned NOT NULL,
  `type` tinyint(2) unsigned NOT NULL,
  `debut` datetime NOT NULL,
  `fin` datetime NOT NULL,
  `texte` text NOT NULL,
  KEY `matiere` (`matiere`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `agenda-types` (
  `id` tinyint(2) unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `nom` varchar(50) NOT NULL,
  `ordre` tinyint(2) unsigned NOT NULL,
  `cle` varchar(20) NOT NULL,
  `couleur` varchar(6) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO prefs (nom,val)
  VALUES ('creation_compte',1),
         ('nb_agenda_index',10),
         ('protection_globale',0),
         ('protection_agenda',0);

INSERT INTO utilisateurs (id,login,prenom,nom,mail,mdp,autorisation,matieres,timeout,mailexp,mailcopy)
  VALUES (1, '$login', '$prenom', '$nom', '$mail', '*', 4, '0,1', 900, '$prenom $nom', 1);

INSERT INTO matieres (id,ordre,cle,nom,colles,cdt,docs,notes,colles_protection,cdt_protection)
  VALUES (1, 1, '$cle_matiere', '$nom_matiere', 0, 0, 0, 0, 0, 0);

INSERT INTO reps (id,parent,parents,matiere,nom,nbrep,nbrep_v,nbdoc,nbdoc_v,protection,menu)
  VALUES (1, 0, '0', 0, 'Général', 0, 0, 0, 0, 0, 0),
         (2, 0, '0', 1, '$nom_matiere', 0, 0, 0, 0, 0, 0);

INSERT INTO pages (ordre,cle,nom,titre,bandeau,protection)
  VALUES (1, 'accueil', 'Accueil', '$titre', 'Dernières informations importantes', 0);

INSERT INTO `cdt-types` (matiere,ordre,cle,titre,deb_fin_pour)
  VALUES (1, 1, 'cours', 'Cours', 1),
         (1, 2, 'TD', 'Séance de travaux dirigés', 1),
         (1, 3, 'TP', 'Séance de travaux pratiques', 1),
         (1, 4, 'DS', 'Devoir surveillé', 1),
         (1, 5, 'interros', 'Interrogation de cours', 0),
         (1, 6, 'distributions', 'Distribution de document', 0),
         (1, 7, 'DM', 'Devoir maison', 2);

INSERT INTO `agenda-types` (id,ordre,nom,cle,couleur)
  VALUES (3, 1, 'Cours', 'cours', 'CC6633'),
         (4, 2, 'Pas de cours', 'pascours', 'CC9933'),
         (5, 3, 'Devoir surveillé', 'DS', '6633CC'),
         (6, 4, 'Devoir maison', 'DM', '99CC33'),
         (9, 5, 'Divers','div', 'CCCC33'),
         (1, 6, 'Déplacement de colle', 'depl_colle', '33CCCC'),
         (2, 7, 'Rattrapage de colle', 'ratt_colle', '3399CC'),
         (7, 8, 'Jour férié', 'fer', 'CC3333'),
         (8, 9, 'Vacances', 'vac', '66CC33');


INSERT INTO agenda (id,matiere,debut,fin,type,texte)
  VALUES (1, 0, '2016-08-15 00:00:00', '2016-08-15 00:00:00', 7, '<p>Assomption</p>'),
         (2, 0, '2016-11-01 00:00:00', '2016-11-01 00:00:00', 7, '<p>Toussaint</p>'),
         (3, 0, '2016-11-11 00:00:00', '2016-11-11 00:00:00', 7, '<p>Armistice 1918</p>'),
         (4, 0, '2016-12-25 00:00:00', '2016-12-25 00:00:00', 7, '<p>Noël</p>'),
         (5, 0, '2017-01-01 00:00:00', '2017-01-01 00:00:00', 7, '<p>Jour de l''an</p>'),
         (6, 0, '2017-04-17 00:00:00', '2017-04-17 00:00:00', 7, '<p>Pâques</p>'),
         (7, 0, '2017-05-01 00:00:00', '2017-05-01 00:00:00', 7, '<p>Fête du travail</p>'),
         (8, 0, '2017-05-08 00:00:00', '2017-05-08 00:00:00', 7, '<p>Armistice 1945</p>'),
         (9, 0, '2017-05-25 00:00:00', '2017-05-25 00:00:00', 7, '<p>Ascension</p>'),
         (10, 0, '2017-06-05 00:00:00', '2017-06-05 00:00:00', 7, '<p>Pentecôte</p>'),
         (11, 0, '2017-07-14 00:00:00', '2017-07-14 00:00:00', 7, '<p>Fête Nationale</p>'),
         (12, 0, '2016-07-06 00:00:00', '2016-08-31 00:00:00', 8, '<p>Vacances d''été</p>'),
         (13, 0, '2016-10-20 00:00:00', '2016-11-02 00:00:00', 8, '<p>Vacances de la Toussaint</p>'),
         (14, 0, '2016-12-18 00:00:00', '2017-01-02 00:00:00', 8, '<p>Vacances de Noël</p>'),
         (15, 0, '2017-02-19 00:00:00', '2017-03-05 00:00:00', 8, '<p>Vacances d''hiver, zone A</p>'),
         (16, 0, '2017-02-10 00:00:00', '2017-02-26 00:00:00', 8, '<p>Vacances d''hiver, zone B</p>'),
         (17, 0, '2017-02-03 00:00:00', '2017-02-19 00:00:00', 8, '<p>Vacances d''hiver, zone C</p>'),
         (18, 0, '2017-04-16 00:00:00', '2017-05-01 00:00:00', 8, '<p>Vacances de printemps, zone A</p>'),
         (19, 0, '2017-04-09 00:00:00', '2017-04-23 00:00:00', 8, '<p>Vacances de printemps, zone B</p>'),
         (20, 0, '2017-04-02 00:00:00', '2017-04-17 00:00:00', 8, '<p>Vacances de printemps, zone C</p>'),
         (21, 0, '2017-07-09 00:00:00', '2017-08-31 00:00:00', 8, '<p>Vacances d''été</p>'),
         (22, 0, '2016-09-01 00:00:00', '2016-09-01 00:00:00', 1, '<div class="annonce">C''est la rentrée ! Bon courage pour cette nouvelle année&nbsp;!</div>');

INSERT INTO semaines (debut) VALUES ('2016-09-01'),('2016-09-04'),('2016-09-11'),('2016-09-18'),('2016-09-25'),
  ('2016-10-03'),('2016-10-10'),('2016-10-17'),('2016-10-20'),('2016-11-03'),('2016-11-07'),('2016-11-14'),('2016-11-21'),('2016-11-28'),
  ('2016-12-05'),('2016-12-12'),('2016-12-19'),('2016-12-26'),('2017-01-03'),('2017-01-09'),('2017-01-16'),('2017-01-23'),
  ('2017-01-30'),('2017-02-06'),('2017-02-13'),('2017-02-20'),('2017-02-27'),('2017-03-06'),('2017-03-13'),('2017-03-20'),('2017-03-27'),
  ('2017-04-03'),('2017-04-10'),('2017-04-18'),('2017-04-24'),('2017-05-02'),('2017-05-09'),('2017-05-15'),('2017-05-22'),('2017-05-29'),
  ('2017-06-05'),('2017-06-12'),('2017-06-19'),('2017-06-26'),('2017-07-03');
UPDATE semaines SET colle = 1;

FIN;
?>
