<?php
// Sécurité
define('OK',1);
// Configuration
include('config.php');
// Fonctions
include('fonctions.php');

//////////////////
// Autorisation //
//////////////////

// Accès aux professeurs et colleurs connectés uniquement
$mysqli = connectsql();
if ( !$autorisation )  {
  $titre = 'Envoi de courriel';
  $actuel = false;
  include('login.php');
}
elseif ( $autorisation < 3 )  {
  debut($mysqli,'Envoi de courriel','Vous n\'avez pas accès à cette page.',$autorisation,' ');
  $mysqli->close();
  fin();
}

//////////////
//// HTML ////
//////////////
debut($mysqli,'Envoi de courriel',$message,$autorisation,'mail');

// Récupération des préférences d'envoi (mailexp, mailcopy) de l'utilisateur
$resultat = $mysqli->query("SELECT mail, TRIM(mailexp) AS mailexp, IF(mailcopy,' checked','') AS mailcopy
                            FROM utilisateurs WHERE id = ${_SESSION['id']}");
$u = $resultat->fetch_assoc();
$resultat->free();
echo <<<FIN

  <a class="icon-aide general" data-id="page" title="Aide pour l'envoi de courriel"></a>
  <a class="icon-ok general" title="Envoyer le courriel"></a>

  <article>
    <p><strong>Nom de l'expéditeur&nbsp;: </strong>&nbsp;<span class="editable" data-id="mailprefs|mailexp|0" data-placeholder="Nom">${u['mailexp']}</span>
    <p><strong>Adresse électronique de l'expéditeur&nbsp;: </strong>&nbsp;<span class="editable" data-id="mailprefs|mail|0" data-placeholder="Adresse électronique">${u['mail']}</span></p>
    <p><strong>Destinataires&nbsp;: </strong>&nbsp;<span class="editabledest"><span>[Personne]</span><a class="icon-edite"></a></span></p>
    <p><strong>Sujet&nbsp;:</strong></p>
    <form id="mail">
      <input class="ligne" name="sujet"></input>
      <p><strong>Texte du message&nbsp;:</strong></p>
      <textarea name="texte" rows="20" cols="100">\n\n\n\n-- \n${u['mailexp']}\nhttps://$site/</textarea>
      <p class="ligne"><label for="copie">Recevoir le courriel en copie&nbsp;: </label>
        <input type="checkbox" id="copie" name="copie" value="1"${u['mailcopy']}>
      </p>
      <input type="hidden" name="id-copie" value="">
      <input type="hidden" name="id-bcc" value="">
      <input type="hidden" name="envoimail" value="1">
    </form>
  </article>

  <p id="log"></p>

FIN;

// Récupération de tous les utilisateurs
// Utilisateurs non validés : mdp précédé d'une étoile
// Utilisateur vide pour marquer l'arrêt des créations de compte : mdp vide
$resultat = $mysqli->query("SELECT id, autorisation, IF(LENGTH(nom),CONCAT(nom,' ',prenom),CONCAT(login,' (identifiant)')) AS nom, IF(LENGTH(mail),'',' disabled') AS mail
                            FROM utilisateurs WHERE LENGTH(mdp)=40 AND id != ${_SESSION['id']} ORDER BY autorisation DESC, nom");
$a = 0;
$table = '';
while ( $r = $resultat->fetch_assoc() )  {
  if ( $a != $r['autorisation'] )  {
    $a = $r['autorisation'];
    switch ( $a )  {
      case 1 : $t = 'Invités'; break;
      case 2 : $t = 'Élèves'; break;
      case 3 : $t = 'Colleurs'; break;
      case 4 : $t = 'Professeurs'; break;
    }
    $table .= <<<FIN
        <tr><th>$t</th>
            <th><a class="icon-cocher" data-classe="dest_c$a" title="Cocher tous les $t en copie"></a><a class="icon-decocher" data-classe="dest_c$a" title="Décocher tous les $t en copie"></a></th>
            <th><a class="icon-cocher" data-classe="dest_bcc$a" title="Cocher tous les $t en copie cachée"></a><a class="icon-decocher" data-classe="dest_bcc$a" title="Décocher tous les $t en copie cachée"></a></th></tr>

FIN;
  }
  if ( strlen($r['mail']) )
    $r['nom'] .= ' (pas d\'adresse)';
  // Le label sert à cocher automatiquement la case "copie", mais l'identifiant
  // de cette case doit être ajouter au chargement javascript : voir edition.js,
  // dans la fonction utilisateursmail
  $table .= "        <tr><td><label for=\"u${r['id']}\">${r['nom']}</label></td><td><input type=\"checkbox\" class=\"dest_c$a\" name=\"dest[]\" value=\"${r['id']}\"${r['mail']}></td><td><input type=\"checkbox\" class=\"dest_bcc$a\" name=\"dest_bcc[]\" value=\"${r['id']}\"${r['mail']}></td></tr>\n";
}

// Récupération des groupes d'élèves
$resultat = $mysqli->query('SELECT g.id, g.nom, g.eleves AS eid,
                            GROUP_CONCAT( IF(LENGTH(e.nom),CONCAT(e.prenom," ",e.nom),CONCAT(e.login," (identifiant)")) ORDER BY IF(LENGTH(e.nom),e.nom,e.login) SEPARATOR \', \') AS eleves
                            FROM groupes AS g JOIN utilisateurs AS e ON FIND_IN_SET(e.id,g.eleves) WHERE g.mailnotes%2 GROUP BY g.id ORDER BY g.nom_nat');
if ( $resultat->num_rows )  {
  $table .= "        <tr><th>Groupes d'élèves</th><th></th><th></th></tr>\n";
  while ( $r = $resultat->fetch_assoc() )
    $table .= "        <tr><td>Groupe ${r['nom']}&nbsp;: ${r['eleves']}</td><td><input type=\"checkbox\" class=\"dest\" value=\"${r['eid']}\"></td><td><input type=\"checkbox\" class=\"dest_bcc\" value=\"${r['eid']}\"></td></tr>\n";
  $resultat->free();
}

// Aide et formulaire d'ajout
?>

  <div id="form-utilisateurs">
    <a class="icon-ok" title="Valider ces utilisateurs"></a>
    <h3>Choix des destinataires</h3>
    <form>
    <table class="destinataires">
      <tbody>
        <tr><th></th><th>Copie</th><th>Copie cachée</th></tr>
<?php echo $table; ?>
      </tbody>
    </table>
    </form>
  </div>
  
  <div id="aide-page">
    <h3>Aide et explications</h3>
    <p>Il est possible ici d'envoyer un courriel aux utilisateurs ayant renseigné leur adresse électronique, qu'il s'agisse d'élèves, de colleurs ou de professeurs. L'envoi du courriel est réalisé lors du clic sur le bouton <span class="icon-ok"></span> situé en haut de cette page.</p>
    <p>Seuls les professeurs et les colleurs ont accès à cette fonctionnalité.</p>
    <h4>Expéditeur</h4>
    <p>Le <em>nom de l'expéditeur</em> et l'<em>adresse électronique de l'expéditeur</em> sont ceux qui apparaîtront comme expéditeur du courriel. Ils sont modifiables directement en cliquant sur les boutons <span class="icon-edite"></span>, et immédiatement enregistrés dans votre compte&nbsp;: ils seront identiques lors de vos prochaines connexions.</p>
    <p>Le <em>nom de l'expéditeur</em> par défaut est de la forme <em>Prénom Nom</em>, mais vous pouvez tout-à-fait mettre par exemple <em>M. Bidule</em> ou <em>Mme Bidule</em>. Cela ne change pas vos nom et prénom enregistrés.</p>
    <h4>Destinataires</h4>
    <p>La liste des destinataires est éditable à tout moment en cliquant sur le bouton <span class="icon-edite"></span>. Cela ouvre une fenêtre dans laquelle on peut cocher les destinataires. Le bouton <span class="icon-ok"></span> de cette fenêtre valide la liste des destinataires uniquement, n'envoie pas le courriel.</p>
    <p>Les cases à cocher <em>Copie</em> permettent d'ajouter les utilisateurs cochés dans la liste des destinataires. Il est obligatoire qu'au moins un utilisateur soit destinataire.</p>
    <p>Les cases à cocher <em>Copie cachée</em> permettent d'ajouter les utilisateurs cochés dans la liste des destinataires en copie cachée&nbsp;: les autres destinataires ne verront pas que ce courriel a aussi été envoyé à ceux en copie cachée.</p>
    <p>Un utilisateur ne peut pas être à la fois en copie et en copie cachée.</p>
    <p>Les cases à cocher sont grisées si l'utilisateur n'a pas renseigné son adresse électronique.</p>
    <p>Un clic sur le nom d'un utilisateur est équivalent à un clic sur la case <em>Copie</em> associée.</p>
    <p>Les boutons <span class="icon-cocher"></span> permettent de cocher l'ensemble des utilisateurs du type correspondant.</p>
    <p>Si des groupes d'élèves ont été définis, vous pouvez cocher les cases correspondantes pour ajouter les élèves de ces groupes-là à la sélection.<?php if ( $autorisation == 4 ) echo ' Les groupes d\'élèves sont à définir ou modifier sur la page de <a href="groupes">gestion des groupes</a>.'; ?></p>
    <h4>Sujet et contenu du courriel</h4>
    <p>Le <em>sujet</em> est le sujet du courriel. Tous les caractères sont autorisés. Pensez à envoyer des courriels avec un sujet correspondant explicitement au contenu...</p>
    <p>Le <em>contenu</em> est le corps du courriel, en texte brut. Le courriel envoyé ne sera pas formaté en HTML&nbsp;: il n'est pas possible de réaliser un formattage particulier (changer une taille d'écriture, une police, mettre de la couleur...). Par convention classique,</p>
    <ul>
      <li>écrire un mot entre astérisques (*) signifie le mettre en gras et appuyer sur ce mot.</li>
      <li>écrire un mot entre slashes (/) signifie le mettre en italique pour indiquer qu'il faut y faire attention.</li>
      <li>écrire en majuscules signifie que l'on en train d'hurler. :-)</li>
    </ul>
    <h4>Réception en copie</h4>
    <p>Il est aussi possible de recevoir en copie ce mail en cochant la case située en bas de ce formulaire. Cocher ou décocher cette case enregistre votre choix. Si la case est cochée, votre adresse électronique sera placée dans les destinataires en copie cachée.</p>
    <p>Les messages d'erreurs (de type &laquo;&nbsp;destinataire non valide&nbsp;&raquo;, &laquo;&nbsp;boîte pleine&nbsp;&raquo;...) vous seront envoyés.</p>
  </div>
  
  <script type="text/javascript">
$( function() {
  // Envoi par appui sur Entrée dans le sujet
  $('input[name="sujet"]').on('keypress',function (e) {
    if ( e.which == 13 ) {
      $('a.general.icon-ok').click();
      return false;
    }
  });
});
  </script>
<?php
$mysqli->close();
fin(true);
?>
